#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILT_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" \
		-DUSE_HAMLIB=ON

override_dh_installdocs:
	dh_installdocs --link-doc=soapysdr0.8-module-audio
